Tools Catalog
Get tool info
Read public metadata for one tool.
GET
/
tools
/
{tool}
/
infos
Get tool info
curl --request GET \
--url https://api.osint.ly/tools/{tool}/infos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.osint.ly/tools/{tool}/infos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.osint.ly/tools/{tool}/infos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Epic Games",
"description": "Direct Epic Games account validation and enrichment endpoints.",
"image": "/images/tools/epic-games.svg",
"routePath": "/epic-games"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Not found"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
epic-games, vehicle-history-finder, xbox, playstation, roblox, steam Was this page helpful?
⌘I
Get tool info
